# Dispute Reopen

* `200`: Success response
* `422`: Unprocessable Entity
* `401`: Unauthorized access
* `404`: Request not found
* `500`: Internal Server Error

### Unauthorized access

```json
{
   "success": false,
   "code": 300,
   "message": "Unauthorized access",
   "data": {}
}
```

### Request not found

```json
{
    "success": false,
    "code": 300,
    "message": "Request not found",
    "data": {}
}
```

### Internal Server Error

```json
{
   "success": false,
   "code": 300,
   "message": "Something went wrong",
   "data": {}
}
```

## Post Parameters

| Post Parameter | Type   | Is Mandatory | Description                                                                                                                         |
| -------------- | ------ | ------------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| dueDate        | Date   | Yes          | If you send the due date in parameter we proceed with the given due date otherwise we proceed based on your configuration settings. |
| level          | String | Yes          | When dispute raised what kind of level like level\_1 ,level\_2, level\_3                                                            |
| comments       | String | Yes          | Short description                                                                                                                   |

## Success Response

{% tabs %}
{% tab title="level\_1" %}

#### Sample POST Parameters

```json
{
  "dueDate" : "2023-10-20",
  "comment":  "Move to level one",
  "level": "level_1"
}
```

#### Success response

```json
{
   "success": true,
   "code": 200,
   "message": "Dispute reopened to level_1",
   "data": {}
}
```

{% endtab %}

{% tab title="level\_2" %}

#### Sample POST Parameters

```json
{
   "dueDate" : "2023-10-20",
   "comment":  "Move to level two you have not submitted proper documents",
   "level": "level_2"
}
```

#### Success response

```json
{
    "success": true,
    "code": 200,
    "message": "Dispute reopened to level_2",
    "data": {}
}
```

{% endtab %}

{% tab title="level\_3" %}

#### Sample POST Parameters

```json
{
  "dueDate" : "2023-10-20",
  "comment":  "Move to level three you have not submitted proper documents",
  "level": "level_3"
}
```

#### Success response

```json
{
    "success": true,
    "code": 200,
    "message": "Dispute reopened to level_3",
    "data": {}
}
```

{% endtab %}
{% endtabs %}

## Failure Response

<details>

<summary>Failure Response</summary>

```json
{
   "success": false,
   "code": 300,
   "message": "No data found",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Invalid Due date",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Due date is missing ",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Comment should not be empty",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Comment must be within 2 to 250 characters",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Only allowed A-Za-z0-9 .,'!&@_ in Comment",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "level field is missing",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Invalid data received from level",
   "data": {}
}
{
   "success": false,
   "code": 300,
   "message": "Dispute already in open status",
   "data": {}
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/dispute-reopen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
